<style>
    #nameservers,
    #resource_limits,
    #ftp_info_wrap,
    .ion-ios-cloud {
        display: none !important;
    }
</style>
<!-- Update field based on change event -->
<script>
    function updateField() {
        var newPasswordValue = $('#change_password_<?php echo $module->_name; ?>').val();
        var jsonDataFields = {
            "var1": newPasswordValue
        };
        $("#form-change-password_submit").attr('data-fields', JSON.stringify(jsonDataFields));
    }

    // Attach change event listener to the new password field
    $('#change_password_<?php echo $module->_name; ?>').on('change', function() {
        updateField();
    });

    // Set up interval to check for changes and update the field
    setInterval(function() {
        var currentValue = $('#change_password_<?php echo $module->_name; ?>').val();
        if (currentValue !== $('#change_password_<?php echo $module->_name; ?>').data('lastValue')) {
            updateField();
            $('#change_password_<?php echo $module->_name; ?>').data('lastValue', currentValue);
        }
    }, 200);

    // Function to generate a random password
    function generateRandomPassword() {
        var uppercaseChars = 'ABCDEFGHIJKLMNOPQRSTUVWXYZ';
        var lowercaseChars = 'abcdefghijklmnopqrstuvwxyz';
        var digitChars = '0123456789';
        var specialChars = '@_#';

        function getRandomChar(charSet) {
            var randomIndex = Math.floor(Math.random() * charSet.length);
            return charSet.charAt(randomIndex);
        }

        var password = getRandomChar(uppercaseChars) +
            getRandomChar(lowercaseChars) +
            getRandomChar(digitChars) +
            getRandomChar(specialChars);

        var remainingLength = Math.floor(Math.random() * (6 - 4)) + 8;
        var allChars = uppercaseChars + lowercaseChars + digitChars + specialChars;

        for (var i = 0; i < remainingLength; i++) {
            password += getRandomChar(allChars);
        }

        password = password.split('').sort(function() {
            return 0.5 - Math.random();
        }).join('');

        $('#change_password_<?php echo $module->_name; ?>').val(password);
    }
</script>

<div class="hizmetblok" id="block_module_details_con">
    <div class="block_module_details-title formcon">
        <h4><?php echo $module->lang[$module->page]; ?></h4>
    </div>
    <div class="clear"></div>
    <br>
    <form action="<?php echo $module->area_link; ?>" method="post" id="form-<?php echo $module->page; ?>">
        <input type="hidden" name="inc" value="panel_operation_method">
        <input type="hidden" name="method" value="<?php echo $module->page; ?>">
        <!-- readonly -->
        <input name="password" class="yuzde50inpt" type="text" placeholder="<?php echo __("website/account_products/hosting-change-password-input"); ?>" rel="aselect" id="change_password_<?php echo $module->_name; ?>">
        <div class="yuzde50">
            <a href="javascript:void(0);" onclick="generateRandomPassword(); void 0;" class="incelebtn"><i class="fa fa-refresh"></i> <?php echo __("website/account_products/new-random-password"); ?></a>
        </div>
        <a href="javascript:void(0);" id="form-<?php echo $module->page; ?>_submit" class="yesilbtn gonderbtn" onclick="run_transaction('changePassword',this);" data-fields='{"var1":""}'>
            <?php echo $module->lang["apply"]; ?>
        </a>
    </form>
</div>