<br>
<p>&nbsp;</p>
<style>
    #token {
        border: 1px solid #ccc;
        padding: 10px;
        margin-bottom: 10px;
    }

    #nameservers,
    #resource_limits,
    #ftp_info_wrap,
    .ion-ios-cloud {
        display: none !important;
    }

    [data-tab="upgrade"] {
        background-color: darkseagreen;
        color: wheat;
    }
</style>
<?php
$LANG           = $module->lang;
?>

<div class="yuzde50">
    <h4><?php echo $LANG["LicenseDetails"]; ?></h4>
    <div class="line"></div>
    <div class="formcon">
        <div class="yuzde30" style="text-align: left;"><?php echo $LANG["dashboard"]; ?></div>
        <div class="yuzde70"><a href="<?php echo $dashboard ?? '#'; ?>" target="_blank"><?php echo $dashboard ?? ''; ?></a></div>
    </div>
    <div class="formcon">
        <div class="yuzde30" style="text-align: left;"><?php echo $LANG["domain_name"]; ?></div>
        <div class="yuzde70"><?php echo $domain_name ?? '-'; ?></div>
    </div>
    <div class="formcon">
        <div class="yuzde30" style="text-align: left;"><?php echo $LANG["domain_password"]; ?></div>
        <div class="yuzde70"><?php echo $domain_password ?? '-'; ?></div>
    </div>
    <div class="formcon">
        <div class="yuzde30" style="text-align: left;"><?php echo $LANG["token"]; ?></div>
        <div class="yuzde70" style="text-align:center;">
            <div id="token"><?php echo $token ?? '-'; ?></div><?php if (!empty($token)) { ?><div class="listingstatus"><span class="active" id="copytext" onclick="copyText()">Copy Token</span></div> <?php } ?>
        </div>
    </div>
</div>
<br>
<script>
    // Function to copy text from the "token" element
    function copyText() {
        var tokenElement = document.getElementById("token");
        if (tokenElement) {
            var range = document.createRange();
            range.selectNode(tokenElement);
            // Select and copy text to clipboard
            window.getSelection().removeAllRanges();
            window.getSelection().addRange(range);
            document.execCommand("copy");
            var button = document.getElementById("copytext");
            if (button) {
                // Update button text to indicate successful copy then reset button text after a delay
                button.textContent = "Token Copied";
                window.getSelection().removeAllRanges();
                setTimeout(function() {
                    button.textContent = "Copy Token";
                }, 3000);
            }
        }
    }
    // Function to check and hide specific elements based on display status
    function checkVisibility() {
        $('#nameservers, #resource_limits, #ftp_info_wrap, .ion-ios-cloud').each(function() {
            if ($(this).css('display') !== 'none') {
                hideElements();
            }
        });
    }

    function hideElements() {
        $('#nameservers, #resource_limits, #ftp_info_wrap, .ion-ios-cloud').hide();
    }

    // Replace cloud icon class for visual representation
    $(document).ready(function() {
        var cloudIcon = $(".ion-ios-cloud");
        if (cloudIcon.length) {
            cloudIcon.removeClass("ion-ios-cloud").addClass("fa fa-shield");
        }
        hideElements();
        setInterval(checkVisibility, 500);
    });
</script>